import vine from '@vinejs/vine'

export const menuItemValidator = vine.compile(
  vine.object({
    name: vine.string(),
    nameHu: vine.string(),
    nameEn: vine.string(),
    priceSmall: vine.number(),
    priceLarge: vine.number(),
    description: vine.string().optional(),
    descriptionHu: vine.string().optional(),
    descriptionEn: vine.string().optional(),
  })
)
